plugins {
    application
}

dependencies {
    implementation(JLine.id)
    implementation(Jansi.id)
    implementation(JavaWebSocket.id)

    implementation(PicoCLI.core)
    implementation(PicoCLI.shell_jline3) {
        exclude(group = JLine.group) // prevent duplicates with org.jline:jline)
    }
    annotationProcessor(PicoCLI.codegen)
}

application {
    mainClass.set("eu.jonahbauer.wizard.client.cli.Client")
}